﻿using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;
using Telerik.Windows.Controls.GridView;
using System.Windows.Controls;
using System.Collections.ObjectModel;
using System;

namespace TicketID_291840_ColumnIsEnabled
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		ObservableCollection<Club> clubs = Club.GetClubs();
		
		public Window1()
		{
			InitializeComponent();

			var qcv = new QueryableCollectionView(this.clubs);
			this.clubsGrid.ItemsSource = qcv;

		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			this.clubs.Insert(0, new Club("NewClub", DateTime.Now, 50000));
		}
	}
}
